DCMTK: IODSegmentationReference Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
IODSegmentationReference Class Reference

Class representing a reference to a Segmentation. More...

Inheritance diagram for IODSegmentationReference:

## Public Member Functions
| IODSegmentationReference (const MAX_LEVEL level)
| Constructor allowing to set reference level.
| IODSegmentationReference ()
| Default constructor, uses level STUDY.
virtual IODReference * | clone () const
| Get (deep) clone copy of this reference.
virtual TYPE | getType () const
| Get type (always returns SEGMENT type).
virtual OFBool | readFromFile (const OFString &filename, const OFVector< Uint16 > segmentNumbers)
| Initialize reference from given file.
virtual | ~IODSegmentationReference ()
| Destructor.
virtual void | clear ()
| Clear reference data.
virtual OFBool | readFromFile (const OFString &filename)
| Initializes this reference from given file, i.e.
Public Member Functions inherited from IODReference
| IODReference ()
| Constructor, creates empty reference, default level is "STUDY".
| IODReference (const MAX_LEVEL level)
| Constructor, creates empty reference with specified level.
virtual | ~IODReference ()
| Destructor.
virtual OFCondition | check () const
| Check whether this reference is valid, i.e.
virtual OFString | toString () const
| Returns reference as a one line string.
virtual OFBool | readFromItem (DcmItem &item)
| Initializes this reference from given item, i.e.

## Public Attributes
OFVector< Uint16 > | m_ReferencedSegmentNumber
| Referenced Segment Numbers.
Public Attributes inherited from IODReference
OFString | m_PatientID
| Patient ID.
OFString | m_StudyInstanceUID
| Study Instance UID.
OFString | m_SeriesInstanceUID
| Series Instance UID.
OFString | m_SOPClassUID
| SOP Class UID.
OFString | m_SOPInstanceUID
| SOP Instance UID.
MAX_LEVEL | m_Level
| Maximum level this reference refers to.

## Additional Inherited Members
Public Types inherited from IODReference
enum | MAX_LEVEL { LEVEL_INSTANCE , LEVEL_SERIES , LEVEL_STUDY , LEVEL_PATIENT }
| The maximum DICOM entity level that this reference refers to. More...
enum | TYPE { GENERIC , IMAGE , SEGMENT }
| Type of reference. More...

## Detailed Description

Class representing a reference to a Segmentation.

Compared to IODReference, this class also allows to provide references to specific segments by referencing the value of their Segment Number attribute.

## Constructor & Destructor Documentation

## ◆ IODSegmentationReference()

IODSegmentationReference::IODSegmentationReference | ( | const MAX_LEVEL | level | ) |

Constructor allowing to set reference level.

Parameters

  level | The maximum level this reference should deal with

## Member Function Documentation

## ◆ clone()

virtual IODReference * IODSegmentationReference::clone | ( |  | ) | const
| virtual

Get (deep) clone copy of this reference.

Returns
  Returns deep copy of this reference, or NULL in case of error

Reimplemented from IODReference.

References IODReference::IODReference().

## ◆ getType()

virtual TYPE IODSegmentationReference::getType | ( |  | ) | const
| inlinevirtual

Get type (always returns SEGMENT type).

Returns
  Returns SEGMENT type

Reimplemented from IODReference.

References IODReference::SEGMENT.

## ◆ readFromFile() [1/2]

virtual OFBool IODReference::readFromFile | ( | const OFString & | filename | ) |
| virtual

Initializes this reference from given file, i.e.

extracts all identifiers up to the level defined for this reference.

Parameters

  filename | The file to read from

Returns
  Returns OFTrue if reference could be read, otherwise OFFalse

Reimplemented from IODReference.

## ◆ readFromFile() [2/2]

virtual OFBool IODSegmentationReference::readFromFile | ( | const OFString & | filename,
|  | const OFVector< Uint16 > | segmentNumbers )
| virtual

Initialize reference from given file.

Parameters

  filename | The file to read from
  segmentNumbers | The segment numbers to reference. It is not checked (so far) whether the referenced image file actually contains such Segment Numbers. First segment is 1.

Returns
  OFTrue if initialization was successful, OFFalse otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodreferences.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1